.video-banner-section {
    position: relative;
}

.responsive-video-container {
    height: 100vh;
    overflow: hidden;
    position: relative;
    video {
        height: 100%;
        position: absolute;
        top: 0;
        bottom: 0;
        right: 50%;
        transform: translateX(50%);
        opacity: 0;
        transition: opacity 0.8s ease;
    }
    &.fade-video {
        video {
            opacity: 1;
        }
    }
}